欢迎使用可乐记，在使用之前请您先了解一些常见问题。

### 笔记的内容存储在哪？

可乐记的数据存储在 SQLite 数据库中，同时会在存储卡 Android/data/ 文件夹下创建 com.colanotes.android 文件夹，存储笔记的数据在 notes 文件夹中， 以 .textbundle 结尾的文件夹就是每一篇笔记的数据信息，在出现极端问题时，可以压缩 notes 文件夹，把压缩后的 notes.zip 文件保存到存储卡的 Download 文件夹，同时扩展名改为 .textpack，也就是 notes.textpack，然后打开可乐记，设置，导入与导出，还原备份，在弹出的文件选择器中找到刚刚的备份文件 notes.textpack 进行数据恢复。


### 如何备份笔记内容？

设置，导入与导出，点击现在备份，会创建一份内容副本在存储卡下的 Download 文件夹。


### 可以导出哪些格式？

目前支持导出为 TXT，PDF，JPEG，HTML，EPUB，Markdown，Text Pack 等。


### 如何同步数据？

可乐记目前使用 WebDAV 技术实现数据同步功能，配置好 WebDAV 服务器后打开同步页面，点击页面下方的同步按钮，同步功能就会运行，如果一切顺利会在 WebDAV 服务器上创建一个 Cola 文件夹，所有数据都存储在这里，同时可以开启自动同步功能（高级版功能），开启后，每次创建新笔记或者编辑修改之前的笔记都会自动同步到 WebDAV 服务器。

最新版本支持使用 Google Drive 和 Microsoft OneDrive 进行数据同步。


### 如何设置 WebDAV 服务器？

可参照坚果云第三方应用授权 WebDAV 开启方法的文档来操作，文档地址 http://help.jianguoyun.com 或者也可以试试它 https://teracloud.jp


### 如何创建标签？

可乐记采用了自动标签识别技术，在一个字或词的前后加上#，比如（#可乐记#）那么这个词会被自动识别为标签，同时在导航栏标签页下面也会出现这个标签。


### 如何快速高效的创建标签？

选中一个字或词，使它处于选中状态（背景颜色改变），再按下扩展键盘上的标签键（#），这时标签就迅速创建完成了。


### 类别是什么？

类别是用来分类管理文件夹的，比如：工作，生活，学习等。


### 类别，文件夹，标签如何进行排序？

长按拖动进行排序。


### 如何创建一个笔记链接？

点击扩展键盘上的文档图标，它会弹出笔记的摘要对话框，点击其中一个笔记摘要，就会创建一个笔记链接，点击链接会跳转到链接指向的那篇笔记。


### 如何调整图片附件，段落的位置？

让光标停在图片附件或段落的前后或者中间，按下扩展键盘上的上下箭头进行位置调整。


### 如何使用指纹解锁？

首先需要设置一个密码，再开启指纹，防止指纹失效后无法打开可乐记。


### 如何调整编辑器的行距与字号？

设置，通用，编辑器，在编辑器页面调整行距，字号等。另外可乐记提供了一个编辑锁，用来防止误删，误触，可以在这里进行开启或关闭。


### 编辑器菜单中的预览转换是什么？

预览转换是一个在富媒体与 Markdown 文本之间进行自由转换的功能。


### 如何一次添加多张图片或文件？

可乐记支持单次添加多张图片（高级版功能），如果发现无法单次添加多张图片，多半是因为图片浏览器不支持多选，请更换支持多选的图片浏览器试试。比如：果仁相册，非常好的相册管理应用，我们开发的过程中选择图片进行富媒体测试时都使用它，加载速度很快，可以试试它。


### 为什么无法添加图片及文件？

这个和使用的文件选择器有关，如果发现这个状况请更换一个文件选择器试试。


### 可以导入其他应用的数据吗？

当然可以，可乐记支持导入 Day One，Journey，Bear（熊掌记）等应用的数据。


### 如何导入 Day One 的数据？

打开 Day One 的设置页面，然后找到导入和导出，然后选择导出为 JSON 格式，通常情况会生成一个 .zip 文件，把这个文件保存到一个可乐记可访问的文件夹中，然后打开可乐记，设置，导入与导出，导入，选择 Day One，在弹出的文件选择器中找到刚刚备份的文件（.zip），点击，可乐记就会把数据导入进来。


### 如何导入 Bear（熊掌记）的数据？

备份 Bear（熊掌记）笔记，通常会是一个 .bearbk 文件，保存到一个可乐记可以访问到的文件夹中，然后打开可乐记，设置，导入与导出，导入，选择熊掌记，在弹出的文件选择器中找到刚刚的备份文件（.bearbk），点击，可乐记就会把数据导入进来。


### 如何导入 Bear（熊掌记）的单篇笔记？

选择导出 Bear（熊掌记）的笔记为 Text Bundle 格式，需要把这个路径扩展名为 .textbundle 的文件夹压缩成 .zip 文件，再把文件扩展名改为 .textpack 然后打开可乐记，设置，导入与导出，导入，选择熊掌记，在弹出的文件选择器中找到刚刚的备份文件（.textpack），点击，可乐记就会把数据导入进来。


### 如何导入 Ulysses 的数据？

选择导出 Ulysses 笔记为 Text Pack，然后打开可乐记，设置，导入与导出，导入，选择 Text Pack，在弹出的文件选择器中找到刚刚的备份文件（.textpack），点击，可乐记就会把数据导入进来。


### 如何与其他应用交换数据？

可以利用云盘在可乐记，Bear，Ulysses 之间进行数据交换，可乐记支持从云盘直接导入数据。


### 如何从云盘导入数据？

设置，数据，云盘，点击配置好的云盘，打开云盘后长按想导入的数据，在弹出的上下文菜单中选择导入，目前支持导入 Text，Markdown，Text Pack 等格式的数据。


### 为什么无法激活可乐记？

有时候网络状况不好或者检查一下是否安装了广告拦截应用，另外，刷机前记得取消激活可乐记。


### Markdown 标准语法复杂吗？

特别特别简单，下面的链接是关于 Markdown 的简易教程。
https://commonmark.org/help/

